Openwall GNU/*/Linux - a small security-enhanced Linux distro for servers
[<prev] [next>] [<thread-prev] [thread-next>] [day] [month] [year] [list]
Date: Fri, 24 Mar 2006 19:34:29 +0300
From: Solar Designer <solar@...nwall.com>
To: john-users@...ts.openwall.com
Subject: Re: "Charset file has changed" problem

On Fri, Mar 24, 2006 at 04:27:37PM +0100, Martin Baum wrote:
> I'm new to this list. I'm running John since ~260 days. Now, I have
> updated John to version 1.7 (AMD64, FreeBSD, ports: security/john).
> After this update, I have restart john, but become an error-message.

You need to do two things:

1. Make sure you use the same all.chr file that you did before, --
perhaps one from a previous release of John.  The order of candidate
passwords tried will be less optimal than that possible with the current
version of John, but you will be able to continue the old session.

2. Use JtR 1.7.0.1 or newer (currently, that would be 1.7.0.2), not the
1.7 release.  There was a bug in 1.6.40 and the 1.7 release which could
cause spurious "charset file changed" messages.  If the FreeBSD port is
still not updated to 1.7.0.1+, it's time to ask the port maintainer to
do the update (feel free to do that).

-- 
Alexander Peslyak <solar at openwall.com>
GPG key ID: B35D3598  fp: 6429 0D7E F130 C13E C929  6447 73C3 A290 B35D 3598
http://www.openwall.com - bringing security into open computing environments

Was I helpful?  Please give your feedback here: http://rate.affero.net/solar

Powered by blists - more mailing lists

Your e-mail address:

Powered by Openwall GNU/*/Linux - Powered by OpenVZ